package com.zd.laboratory.mapper;

import com.zd.system.api.domain.Algorithm;
import com.zd.system.api.domain.AlgorithmVO;

import java.util.List;

/**
 * @Author: zhoupan
 * @Date: 2021/11/29/14:11
 * @Description:
 */
public interface AlgorithmMapper {

    int insertBatchAlgorithm (List<Algorithm> list);

    List<AlgorithmVO> queryList(Algorithm algorithm);

    Algorithm getId(Long id);

    int update(Algorithm algorithm);

    int del(Long id);
}
